- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Integer Member List

This is the complete list of members for Integer, including all inherited members.

addRef() const | ObjectImpl | `[virtual]`
cast(const Class &clazz) const =0 | Object | `[pure virtual]`
getClass() const | Object | `[virtual]`
getStaticClass() | Object | `[static]`
instanceof(const Class &clazz) const =0 | Object | `[pure virtual]`
Integer() | Integer |
Integer(int i) | Integer |
intValue() const | Integer | `[inline]`
ObjectImpl() | ObjectImpl |
ref | ObjectImpl | `[mutable, protected]`
registerClass() | Object | `[static]`
releaseRef() const | ObjectImpl | `[virtual]`
~Integer() | Integer | `[virtual]`
~Object() | Object | `[inline, virtual]`
~ObjectImpl() | ObjectImpl | `[virtual]`